Subject: Re: bug#1806: dired-pop-to-buffer in wrong place

From: Juri Linkov <[email-masked]>
Date: Tue, 06 Jan 2009 19:54:07 +0200

>> But now this list of files is displayed somewhere else - on the top of the
>> side window.  Thus now this list is as far for minibuffer as possible.
>> This is because `dired-pop-to-buffer' doesn't call `split-window' anymore
>> that used to split windows vertically even on a wide-screen display.
>>
>> This is the same problem as I reported in
>> http://thread.gmane.org/gmane.emacs.devel/93011/focus=94236
>> i.e. we need a special option to split windows vertically
>> where necessary.
>
> But that's what `split-width-threshold' is meant for.  Does
> `dired-pop-to-buffer' DTRT when you set this to nil?

Yes, it works perfectly for Dired when `split-width-threshold' is nil.
But the problem is that I prefer a wide-screen configuration with
horizontally split windows, so I can't set `split-width-threshold' to nil.

There are a few exceptions where obeying non-nil `split-width-threshold'
is not desirable.  One exception is displaying a list of files in Dired,
and another is displaying the Calendar window.  Maybe there are a few
of others.

-- 
Juri Linkov
http://www.jurta.org/emacs/